Bug Hunting Session
Bug 90138 - TABLE & EDITING: Insert Table into comment anchor attached to table/cell causes crash
Summary: TABLE & EDITING: Insert Table into comment anchor attached to table/cell cau...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.3.7 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-20 20:53 UTC by Gordo
Modified: 2015-12-17 08:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (12.82 KB, text/plain)
2015-03-20 20:53 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-20 20:53:58 UTC
Created attachment 114220 [details]
backtrace

1. New Text Document.
2. Insert Table 1x1.
3. Select Table.
4. Insert -> Comment.
5. Type "test" in comment.
6. Select comment anchor.
7. Insert Table 1x1 (can be any size).
Result:
Crash with AutoRecovery.
Alternate:
2. Insert Table 2x2 (can be any size).
3. Select one cell (Highlight row then backup mouse).

If there is text in the table when selecting the table in step 3, then it will not crash.  Similarly, if there is text in the cell that is selected then it will not crash.

Selecting rows or columns in step 3 does not lead to a crash.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 A (Andy) 2015-03-20 23:23:21 UTC
Could you please help me to reproduce this issue: What do you mean with "Select comment anchor."?
Comment 2 Gordo 2015-03-21 00:33:57 UTC
Andy:  Hover over the space where you inserted the comment, above the arrow, and when the dotted line becomes solid, click.
Comment 3 A (Andy) 2015-03-21 07:38:32 UTC
@Gordo: Thanks for your fast reply.

I made it as described, but after Step 7 I have no crash, but what I experienced was that the comment was gone away.  Therefore, I have a buggy behaviour but not the one described here.

Tested with LO 4.4.1.2., Win 8.1
Comment 4 Gordo 2015-03-21 12:30:42 UTC
Andy:  In step 3, Select Table, the table should be highlighted blue by using Table -> Select -> Table.

Additionally:
1. New Text Document.
2. Insert Table 1x1.
3. Table -> Select -> Table or Row.
4. Insert -> Comment.
5. Click on page below.
Result:
Crash with AutoRecovery.
Comment 5 A (Andy) 2015-03-21 12:38:06 UTC
(In reply to Gordo from comment #4)
> Andy:  In step 3, Select Table, the table should be highlighted blue by
> using Table -> Select -> Table.
> 
> Additionally:
> 1. New Text Document.
> 2. Insert Table 1x1.
> 3. Table -> Select -> Table or Row.
> 4. Insert -> Comment.
> 5. Click on page below.
> Result:
> Crash with AutoRecovery.

Thanks for the important remark to Step 3.  I selected it only with the mouse cursor, but now I can confirm it.  Thank you.

Reproducible with LO 4.4.1.2, Win 8.1
Comment 6 Matthew Francis 2015-03-30 12:56:34 UTC
This seems to have begun at the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks

    commit 136cd0f3a55284c28279870369392ad80dffb0f9
    Author:     Oliver-Rainer Wittmann <orw@apache.org>
    AuthorDate: Thu Jun 5 10:49:57 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Jun 5 16:49:27 2014 +0100
    
        Resolves: #i125050# correct text range for comment/annotation...
    
        at a table cell selection
    
        (cherry picked from commit ec7fc735e031f643e324b0924a1f2ca753cb314d)
    
        Change-Id: I51fa9ab0a77ab06e295452216865d0fae44bc263
Comment 7 Commit Notification 2015-04-03 14:40:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fe5b44b15647542b1550deaeee43ec3d1e57591

Resolves: tdf#90138 don't try to save a marks OtherPos if it doesn't have one

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-04-08 14:28:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd083e392651a2c381ab1fe8b9a1f2a1ec534354&h=libreoffice-4-3

Resolves: tdf#90138 don't try to save a marks OtherPos if it doesn't have one

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-04-09 12:30:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdbb20758c210a4ac3732dc7d7d0e6e8aa048615&h=libreoffice-4-4

Resolves: tdf#90138 don't try to save a marks OtherPos if it doesn't have one

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:49:44 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]